Package org.apache.struts2.components

# Class FormButton

java.lang.Object
org.apache.struts2.components.Component
org.apache.struts2.components.UIBean
org.apache.struts2.components.ClosingUIBean
org.apache.struts2.components.FormButton

Direct Known Subclasses:
  `Reset`, `Submit`

public abstract class FormButton extends ClosingUIBean
FormButton.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `action`
  `protected String`
  `method`
  `protected String`
  `type`

  ### Fields inherited from class org.apache.struts2.components.UIBean

  `accesskey, ATTR_FIELD_VALUE, ATTR_NAME_VALUE, ATTR_VALUE, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiStaticContentPath, uiThemeExpansionToken, value`

  ### Fields inherited from class org.apache.struts2.components.Component

  `actionMapper, attributes, COMPONENT_STACK, devMode, escapeHtmlBody, performClearTagStateForTagPoolingServers, stack, standardAttributesMap, throwExceptionOnELFailure`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormButton(ValueStack stack, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `evaluateExtraParams()`
  `protected void`
  `populateComponentHtmlId(Form form)`
  Override UIBean's implementation, such that component Html id is determined in the following order :- This component id attribute [containing_form_id]_[this_component_name] [containing_form_id]_[this_component_action]_[this_component_method] [containing_form_id]_[this_component_method] [this_component_name] [this_component_action]_[this_component_method] [this_component_method] [an increasing sequential number unique to the form starting with 0]
  `void`
  `setAction(String action)`
  `void`
  `setMethod(String method)`
  `void`
  `setType(String type)`
  `protected abstract boolean`
  `supportsImageType()`
  Indicate whether the concrete button supports the type "image".

  ### Methods inherited from class org.apache.struts2.components.ClosingUIBean

  `getDefaultOpenTemplate, setOpenTemplate, start`

  ### Methods inherited from class org.apache.struts2.components.UIBean

  `addFormParameter, applyValueParameter, buildTemplateName, copyAttributes, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, lazyEvaluation, mergeTemplate, setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelPosition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStaticContentPath, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue`

  ### Methods inherited from class org.apache.struts2.components.Component

  `addAllAttributes, addParameter, completeExpression, determineActionURL, determineNamespace, end, escapeHtmlBody, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getAttributes, getComponentStack, getNamespace, getPerformClearTagStateForTagPoolingServers, getStack, getStandardAttributes, isAcceptableExpression, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setEscapeHtmlBody, setNotExcludedAcceptedPatterns, setPerformClearTagStateForTagPoolingServers, setThrowExceptionsOnELFailure, setUrlHelper, stripExpression, toString, usesBody`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### action

    protected String action

  - ### method

    protected String method

  - ### type

    protected String type

- ## Constructor Details

  - ### FormButton

    public FormButton(ValueStack stack, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)

- ## Method Details

  - ### evaluateExtraParams

    public void evaluateExtraParams()
    Overrides:
      `evaluateExtraParams` in class `UIBean`

  - ### populateComponentHtmlId

    protected void populateComponentHtmlId(Form form)
    Override UIBean's implementation, such that component Html id is determined in the following order :-
    1. This component id attribute
    2. [containing_form_id]_[this_component_name]
    3. [containing_form_id]_[this_component_action]_[this_component_method]
    4. [containing_form_id]_[this_component_method]
    5. [this_component_name]
    6. [this_component_action]_[this_component_method]
    7. [this_component_method]
    8. [an increasing sequential number unique to the form starting with 0]
    Overrides:
      `populateComponentHtmlId` in class `UIBean`
    Parameters:
      `form` - enclosing form tag

  - ### supportsImageType

    protected abstract boolean supportsImageType()
    Indicate whether the concrete button supports the type "image".
    Returns:
      `true` if type image is supported.

  - ### setAction

    public void setAction(String action)

  - ### setMethod

    public void setMethod(String method)

  - ### setType

    public void setType(String type)